﻿@model Recharge.Bussiness.UserModel.User

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Login</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.2/jquery.validate.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.3.0/jquery.form.min.js"></script>
    <script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.4.1/css/bootstrap.min.css" />
    <style>
        :root {
            --input-padding-x: 1.5rem;
            --input-padding-y: .75rem;
        }

        .card-signin {
            border: 0;
            border-radius: 5px;
            box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.1);
        }

            .card-signin .card-title {
                margin-bottom: 2rem;
                font-weight: 400;
                font-size: 1.5rem;
            }

            .card-signin .card-body {
                padding: 2rem;
            }

        .form-signin {
            width: 100%;
        }

            .form-signin .btn {
                font-size: 80%;
                border-radius: 5rem;
                letter-spacing: .1rem;
                font-weight: bold;
                padding: 1rem;
                transition: all 0.2s;
            }

            .card-body ul{
                list-style:none;
                padding:0;
                margin:0;
            }
    </style>
</head>
<body style="background: #e6e3e3;">
    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()
        <div class="container">
            <div class="row">
                <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
                    <div class="card card-signin my-5">
                        <div class="card-body">
                            <h5 class="card-title text-center">Sign IN</h5>
                            <div class="form-label-group mb-3">
                                @Html.LabelFor(model => model.UserName, htmlAttributes: new { @class = "control-label mb-0" })
                                @Html.TextBoxFor(model => model.UserName, new { @class = "form-control" })
                                @Html.ValidationMessageFor(model => model.UserName, "", new { @class = "text-danger" })
                            </div>

                            <div class="form-label-group">
                                @Html.LabelFor(model => model.Password, htmlAttributes: new { @class = "control-label mb-0" })
                                @Html.PasswordFor(model => model.Password, new { @class = "form-control" })
                                @Html.ValidationMessageFor(model => model.Password, "", new { @class = "text-danger" })
                            </div>
                            <div class="form-label-group">
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                            </div>
                            <button class="btn btn-lg btn-primary btn-block text-uppercase mt-4" type="submit">Sign in</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    }

</body>
</html>
